"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactBootstrap = require("react-bootstrap");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var PercentWidget = /*#__PURE__*/function (_Component) {
  _inheritsLoose(PercentWidget, _Component);

  function PercentWidget(props) {
    var _this;

    _this = _Component.call(this, props) || this;
    _this.state = _extends({}, props, {
      value: props.value && props.value * 100
    });
    return _this;
  }

  var _proto = PercentWidget.prototype;

  _proto._handleChange = function _handleChange(event) {
    var digits = this.state.options.digits == undefined ? 2 : this.state.options.digits;
    var value = event.target.value.replace(/[^0-9.]/g, "");
    if (event.type === "blur" && event.target.value) value = parseFloat(value).toFixed(digits);
    this.setState({
      value: value
    });
    this.state.onChange(value / 100);
  };

  _proto.render = function render() {
    var _this2 = this;

    var _$get = _.get(this.props, "schema", {}),
        title = _$get.title;

    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Form.Label, null, title), /*#__PURE__*/_react["default"].createElement("div", {
      className: "input-group"
    }, /*#__PURE__*/_react["default"].createElement("input", {
      type: "text",
      id: this.props.id,
      className: "form-control percent",
      style: {
        textAlign: "right"
      },
      value: this.state.value,
      required: this.state.required,
      onBlur: function onBlur(event) {
        _this2._handleChange(event);
      },
      onChange: function onChange(event) {
        _this2._handleChange(event);
      },
      disabled: this.state.disabled,
      readOnly: this.state.readonly
    }), /*#__PURE__*/_react["default"].createElement("div", {
      className: "input-group-append"
    }, /*#__PURE__*/_react["default"].createElement("span", {
      className: "input-group-text"
    }, "%"))));
  };

  return PercentWidget;
}(_react.Component);

var _default = PercentWidget;
exports["default"] = _default;
module.exports = exports.default;